### Property

# WebKit Download:estimated-progress

unstable since: 6.0

#### Declaration

    property estimated-progress: double [ read ]

#### Description [src]

An estimate of the percent completion for the download operation. This value will range from 0.0 to 1.0. The value is an estimate based on the total number of bytes expected to be received for a download. If you need a more accurate progress information you can connect to `WebKitDownload::received-data` signal to track the progress.

Type: | `gdouble`
Available since: | 6.0

Default value | 1.000000
Getter method | `webkit_download_get_estimated_progress()`

#### Flags

Readable | yes
Writable | no
Construct | no
Construct only | no